### Function

# GLib ThreadFunc

since: 2.0

#### Declaration

    gpointer
    (* GThreadFunc) (
      gpointer data
    )

#### Description

Specifies the type of the `func` functions passed to `g_thread_new()` or g_thread_try_new().

Available since: 2.0

#### Parameters

`data`

  Type: `gpointer`

  Data passed to the thread.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gpointer`

The return value of the thread.

The data is owned by the called function.
The return value can be `NULL`.